extends KinematicBody2D


onready var dir_input = $DirectionalInput
export var speed = 500


func _unhandled_input(event):
	if event.is_action_pressed("ui_cancel") and \
			(OS.get_name() == "Windows" or
			OS.get_name() == "OSX" or
			OS.get_name() == "X11"):
		get_tree().quit()


func _physics_process(delta):
	var dir = dir_input.get_input()
	move_and_slide(dir * speed)
